指定工具栏、工具栏项或菜单项的帮助字符串。 支持的平台:仅窗口 属性值只读:不 类型:字符串 工具栏、工具栏项或菜单项的帮助字符串。 言论帮助字符串是当用户突出显示菜单项时显示在 AutoCAD 状态行中的文本字符串。 例子工 务 局: Sub Example_HelpString() ' This example creates a new toolbar called "TestToolbar" and inserts a ' button into it. The HelpString property of the toolbar is then ' read and changed. ' To remove the toolbar after execution of this macro, use the Customize Menu ' option from the Tools menu. Dim currMenuGroup As acadMenuGroup Set currMenuGroup = ThisDrawing.Application.MenuGroups.Item(0) ' Create the new toolbar Dim newToolBar As AcadToolbar Set newToolBar = currMenuGroup.Toolbars.Add("TestToolbar") ' Add a button to the new toolbar. Dim newButton1 As AcadToolbarItem Dim openMacro As String ' Assign the macro string the VB equivalent of "ESC ESC _open " openMacro = Chr(3) & Chr(3) & Chr(95) & "open" & Chr(32) Set newButton1 = newToolBar.AddToolbarButton("", "NewButton1", "Open a file.", openMacro) ' Display the toolbar newToolBar.Visible = True ' Read the current value of the Help string MsgBox "The current HelpString for the toolbar button is: " & newButton1.HelpString ' Change the value of the Help string newButton1.HelpString = "Use this toolbar button to Open a file." ' Read the new value of the Help string MsgBox "The new HelpString for the toolbar button is: " & newButton1.HelpString End Sub Visual LISP: (vl-load-com) (defun c:Example_HelpString() ;; This example creates a new toolbar called "TestToolbar" and inserts a ;; button into it. The HelpString property of the toolbar is then ;; read and changed. ;; To remove the toolbar after execution of this macro, use the Customize Menu ;; option from the Tools menu. (setq acadObj (vlax-get-acad-object)) (setq currMenuGroup (vla-Item (vla-get-MenuGroups acadObj) 0)) ;; Create the new toolbar (setq newToolBar (vla-Add (vla-get-Toolbars currMenuGroup) "TestToolbar")) ;; Add a button to the new toolbar. ;; Assign the macro string the VB equivalent of "ESC ESC _open " (setq openMacro (strcat (Chr 3) (Chr 3) (Chr 95) "open" (Chr 32))) (setq newButton1 (vla-AddToolbarButton newToolBar "" "NewButton1" "Open a file." openMacro)) ;; Display the toolbar (vla-put-Visible newToolBar :vlax-true) ;; Read the current value of the Help string (alert (strcat "The current HelpString for the toolbar button is: " (vla-get-HelpString newButton1))) ;; Change the value of the Help string (vla-put-HelpString newButton1 "Use this toolbar button to Open a file.") ;; Read the new value of the Help string (alert (strcat "The new HelpString for the toolbar button is: " (vla-get-HelpString newButton1))) ) |
|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 苏公网安备32011402011833)
GMT+8, 2025-1-8 19:11
Powered by Discuz! X3.4
Copyright © 2001-2021, Tencent Cloud.